{% extends 'base.html.twig' %}

{% block title %}Register
{% endblock %}

{% block body %}
	{% for flash_error in app.flashes('verify_email_error') %}
		<div class="alert alert-danger" role="alert">{{ flash_error }}</div>
	{% endfor %}

	<div {{ stimulus_controller ('register')}} class="container">

		<div class="row">
			<div class="mt-4 p-4">
				<h1 class="mb-4">REGISTRATION INFORMATIONS</h1>
				<p>Please provide a valid email address. All e-mails from the system will be sent to this address. The e-mail address is not made public but will be our primary means of contacting you for all matters regarding your account (including any ticketing opportunities).
				</p>
				<p>
					For your security, your password should be 6 characters or more; contain numbers; and a mix of lowercase and uppercase letters. Please remember your password and never share it with anyone. The Attitude will never ask you for your password.
				</p>

				{{ form_start(registrationForm) }}
				{{ form_row(registrationForm.email) }}
				{{ form_row(registrationForm.plainPassword) }}
				{{ form_row(registrationForm.country) }}
				{{ form_row(registrationForm.city) }}
				{{ form_row(registrationForm.region) }}
				{{ form_row(registrationForm.adress) }}
				{{ form_row(registrationForm.postcode) }}
				{{ form_row(registrationForm.firstname) }}
				{{ form_row(registrationForm.lastname) }}
				{{ form_row(registrationForm.username) }}
				{{ form_row(registrationForm.agreeTerms) }}
				<button type="submit" class="btn-register text-center">REGISTER</button>
				{{ form_end(registrationForm) }}
			</div>
		</div>
	</div>
{% endblock %}
